GNU bug report logs - #34176
X200 kernel panic on S3 resume (linux-libre > 4.18.9)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Mike Gerwitz <mtg@HIDDEN>; dated Wed, 23 Jan 2019 06:08:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 34176 <at> debbugs.gnu.org:


Received: (at 34176) by debbugs.gnu.org; 31 Jan 2019 07:03:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 02:03:51 2019
Received: from localhost ([127.0.0.1]:52124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gp6O7-0006Z2-Ac
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 02:03:51 -0500
Received: from world.peace.net ([64.112.178.59]:53856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>)
 id 1gp6O5-0006Yj-Ux; Thu, 31 Jan 2019 02:03:50 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gp6O0-0003Up-7p; Thu, 31 Jan 2019 02:03:44 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: Mike Gerwitz <mtg@HIDDEN>
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
References: <877eevq5i6.fsf@HIDDEN> <87y37boqhk.fsf@HIDDEN>
 <87y376ktcc.fsf@HIDDEN> <8736pblkyw.fsf@HIDDEN>
 <87ef8th3l3.fsf@HIDDEN>
Date: Thu, 31 Jan 2019 02:02:34 -0500
In-Reply-To: <87ef8th3l3.fsf@HIDDEN> (Mike Gerwitz's message of "Wed, 30 Jan
 2019 23:07:52 -0500")
Message-ID: <87k1ill36i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34176
Cc: 34176 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 34176
thanks

Hi Mike,

Mike Gerwitz <mtg@HIDDEN> writes:

> On Tue, Jan 29, 2019 at 07:14:15 -0500, Mike Gerwitz wrote:
>> reopen 34176
>> thanks
>
> I guess I don't have permission to do this, since nothing happened.  Can
> someone do this for me?

No permission is needed, but it must be sent to the correct address.  It
must be sent to <control <at> debbugs.gnu.org>.  I add that address to the
BCC header when including such commands.

> Alternatively, if this seems outside the scope of something we'd want to
> track in Guix, just leave it closed.

I'm glad to have it in our tracker.

>> On Sun, Jan 27, 2019 at 10:34:11 -0500, Mike Gerwitz wrote:
>> I have to go to work shortly, so I'll play around with it a little more
>> later tonight and see if e.g. plugging in my Nitrokey (actually using
>> the USB hub) had an effect.  With that said, I use my Nitrokey every day
>> (but I did _not_ use it most of the times I was trying to debug this
>> issue) and I thought I've had suspend issues with it before.  I guess
>> we'll see.
>
> I was not able to figure it out with the time I had available to spend
> on this the past couple of nights.  It's once again locking up when
> resuming, and I cannot get it to resume correctly.

FWIW, unless someone has a better idea, my recommendation would be to do
a binary search on the kernel versions, to find which version introduced
the problem.

You mentioned in your original report that 4.18.9 works and 4.19.5
fails.  The first thing I would check is whether 4.19 works.  If it
works, then you could find which update to the 4.19.y branch introduced
the problem.  If 4.19 fails, then you could check 4.18.20, which is the
final release of 4.18.y.  If it fails, you could find which update to
4.18.y introduced the problem.

The reason I suggest checking these first is because each stable update
is relatively small, which will simplify the task of finding the faulty
commit.  It might be possible to look at the changelog of the relevant
stable update and make some educated guesses about which commits to try
reverting.

If 4.18.20 works and 4.19 fails, then it will probably be necessary to
do a "git bisect" on the upstream kernel git repository between those
two versions, to find the commit that introduced the problem.  If it
comes to this, let me know and I'll help you find a way to do this
efficiently.

     Regards,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at 34176 <at> debbugs.gnu.org:


Received: (at 34176) by debbugs.gnu.org; 31 Jan 2019 04:08:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 23:08:24 2019
Received: from localhost ([127.0.0.1]:52091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gp3eK-0001yE-9b
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 23:08:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1gp3eH-0001y0-PB
 for 34176 <at> debbugs.gnu.org; Wed, 30 Jan 2019 23:08:22 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54637)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1gp3eC-0000J6-Ky
 for 34176 <at> debbugs.gnu.org; Wed, 30 Jan 2019 23:08:16 -0500
Received: from localhost ([::1]:46797 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>) id 1gp3eB-00065D-Ss
 for 34176 <at> debbugs.gnu.org; Wed, 30 Jan 2019 23:08:16 -0500
From: Mike Gerwitz <mtg@HIDDEN>
To: 34176 <at> debbugs.gnu.org
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
In-Reply-To: <8736pblkyw.fsf@HIDDEN> (Mike Gerwitz's message of "Tue, 29 Jan
 2019 07:14:15 -0500")
Date: Wed, 30 Jan 2019 23:07:52 -0500
Message-ID: <87ef8th3l3.fsf@HIDDEN>
References: <877eevq5i6.fsf@HIDDEN> <87y37boqhk.fsf@HIDDEN>
 <87y376ktcc.fsf@HIDDEN> <8736pblkyw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
OpenPGP: id=22175B02E626BC98D7C0C2E5F22BB8158EE30EAB
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34176
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Tue, Jan 29, 2019 at 07:14:15 -0500, Mike Gerwitz wrote:
> reopen 34176
> thanks

I guess I don't have permission to do this, since nothing happened.  Can
someone do this for me?

Alternatively, if this seems outside the scope of something we'd want to
track in Guix, just leave it closed.

> On Sun, Jan 27, 2019 at 10:34:11 -0500, Mike Gerwitz wrote:
> I have to go to work shortly, so I'll play around with it a little more
> later tonight and see if e.g. plugging in my Nitrokey (actually using
> the USB hub) had an effect.  With that said, I use my Nitrokey every day
> (but I did _not_ use it most of the times I was trying to debug this
> issue) and I thought I've had suspend issues with it before.  I guess
> we'll see.

I was not able to figure it out with the time I had available to spend
on this the past couple of nights.  It's once again locking up when
resuming, and I cannot get it to resume correctly.

=2D-=20
Mike Gerwitz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJcUnSYAAoJEIyRe39dxRuieKMP/j90cHI9Izy0cIuLRrG/TIt4
6FatkT4mI6LR4d6uALBn66M+hEZrx39dEfmy+MhGVUXrfW+rOlKzB0v7qoQIe7/o
7QHVpthSzO8Hmw9LQ0R5yIxUXp/gH9mz9f6xgOQ3PmFsNmxvlPJi28zj8RWC6CcM
YeY33Oi+jlKzC1Fh1hPwHcYJihqCsnecCR4YVxHKMJrBkejlmA0sKTElkhfMMo9r
tqe6OZ+BKkuu9oMV58Y0vKmtqDILXaznn9Mus+GirTmmYQFuHE9Yj3x6w+KCgdFm
8RlLX6kuzB+J2tLkd3W5qznBgFfe4eZLkhl43cy4Hi/eQe3BB+Irt5Mo+ZW1Qli+
vDczv1ZMEcnCcTiYAOEQRpJbwiAhLGJK/C8McykocHcQCzNxAfHNJGfn8W6hed6i
jBOGjNzM8j+8WwIPPX4qGlw38kY6z7GziNhkcqUf+bTrl0dDfb6ucLhdh2YrA2iS
xpMUHTifwotHRu1ARY8H0GDRPrwYph9VQBDzNZVS9TWphXQZNumeLY2mD3f3PJaj
g0fEg0fNmEzicAfC4GBhHdaAwEZSetmkOm8JZVZEe2oA8YtPO6aiDsDW0GNPess0
KA+YMQkguMj/M3v5l+o10ymP54sYR7Gxbps1cg3u4AdtlFpFO27zn+rGAtooJUXs
Emk/+MEIoROU7fwXzrVo
=pr/P
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at 34176 <at> debbugs.gnu.org:


Received: (at 34176) by debbugs.gnu.org; 29 Jan 2019 12:15:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 29 07:15:05 2019
Received: from localhost ([127.0.0.1]:49781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1goSIC-0002t1-PQ
	for submit <at> debbugs.gnu.org; Tue, 29 Jan 2019 07:15:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1goSI9-0002sD-Pg
 for 34176 <at> debbugs.gnu.org; Tue, 29 Jan 2019 07:15:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43358)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1goSI4-00005u-Cq
 for 34176 <at> debbugs.gnu.org; Tue, 29 Jan 2019 07:14:56 -0500
Received: from localhost ([::1]:47418 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>) id 1goSI4-0002Q2-7A
 for 34176 <at> debbugs.gnu.org; Tue, 29 Jan 2019 07:14:56 -0500
From: Mike Gerwitz <mtg@HIDDEN>
To: 34176 <at> debbugs.gnu.org
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
In-Reply-To: <87y376ktcc.fsf@HIDDEN> (Mike Gerwitz's message of "Sun, 27 Jan
 2019 10:34:11 -0500")
Date: Tue, 29 Jan 2019 07:14:15 -0500
Message-ID: <8736pblkyw.fsf@HIDDEN>
References: <877eevq5i6.fsf@HIDDEN> <87y37boqhk.fsf@HIDDEN>
 <87y376ktcc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
OpenPGP: id=22175B02E626BC98D7C0C2E5F22BB8158EE30EAB
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34176
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

reopen 34176
thanks

On Sun, Jan 27, 2019 at 10:34:11 -0500, Mike Gerwitz wrote:
> Sorry, I take that back.  I could have sworn it did resolve the issue,
> but that does not seem to be the case.
>
> This seems unrelated to powertop; `auto' seems to be the default setting
> of /sys/bus/usb/devices/*/power/control, which is reset on reboot.  In
> any case, setting it to `on' does not solve my suspend issue.

Okay, the value of `control' makes no difference.  I just accidentally
closed my laptop on 4.20.3-gnu and it resumed.  I'm _not_ on a minimal
system---I have all my usual services running.

I have to go to work shortly, so I'll play around with it a little more
later tonight and see if e.g. plugging in my Nitrokey (actually using
the USB hub) had an effect.  With that said, I use my Nitrokey every day
(but I did _not_ use it most of the times I was trying to debug this
issue) and I thought I've had suspend issues with it before.  I guess
we'll see.

=2D-=20
Mike Gerwitz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJcUEOXAAoJEIyRe39dxRui4JUQALTl9FUBojYiiL/J9KmRh4UP
zzf7zHHhITdtlyf2Pofztf77Hcn6won0HprBCRyOFauGM1Y1Owv5Y0jM9su282kE
jrWYSZv9RbA5WfKP4jU24kXuLLkq+JofI/KgOUSYgYJy5rS7iEPgF6XPBZf7iWNR
kh+FNzlxrXLWiE1OE9qqnB6zK6FmBXr+Wci5BDoFSETyyOru1uz5em6UMWPmwB1U
8Plez7VxHMKvD+gF2ridWFs2QWM/2uMQB7wYf4Dbeld91TKALTsPkYZriYmw4EMO
6Uoa010p9PaH01ZhfjtZQS/Wxh3B4vJh2AbWmF7V+MYI93QbG7gHVnTYGSxMpJNY
FrHujbDvt1K1/Gv7ARlqzTEpf1Yvq2G/8g0q9hb//zwRIKdQAZ340/2FrL0O4B0l
45VJ9aJzXYZ4VFKW3AJIxNgW8K8kP36UOhPL6nMXpgpAXJAYibtBP9wsat7KXYt0
s88e7VQ655FF3hJM5R7nmBDRcFvBiNG55gg8sLOtziAQjjA7pFfa9rfdu3NHSrPg
YhrjKxLYi5x1GHSKIfV7///93xucZK+QFbd/Wpjn11xayWJ5aq4nvcIYxX1c7cJg
sYjfrmyDCsp6WQzIuRWzXBV7h1RP49mVxSYKoQ5UnqPeipEcfav+Zdn7s1ELBCNn
09qxO6m0+BHe06VrF3Q8
=nGcP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at 34176 <at> debbugs.gnu.org:


Received: (at 34176) by debbugs.gnu.org; 28 Jan 2019 09:53:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 04:53:44 2019
Received: from localhost ([127.0.0.1]:48243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1go3br-0004z8-VK
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 04:53:44 -0500
Received: from dustycloud.org ([50.116.34.160]:60528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1go3bq-0004z0-P0
 for 34176 <at> debbugs.gnu.org; Mon, 28 Jan 2019 04:53:43 -0500
Received: from jasmine (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id 6F3B0266A4;
 Mon, 28 Jan 2019 04:53:41 -0500 (EST)
References: <877eevq5i6.fsf@HIDDEN> <87y37boqhk.fsf@HIDDEN>
 <87y376ktcc.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: Mike Gerwitz <mtg@HIDDEN>
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
In-reply-to: <87y376ktcc.fsf@HIDDEN>
Date: Mon, 28 Jan 2019 04:53:40 -0500
Message-ID: <874l9tumzf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34176
Cc: 34176 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mike Gerwitz writes:

> On Wed, Jan 23, 2019 at 01:08:39 -0500, Mike Gerwitz wrote:
>> Right after sending this message, I recalled that I used powertop to do
>> "auto tuning".  Sure enough, one of the lines was this:
>>
>>    Good          Autosuspend for USB device UHCI Host Controller [usb6]
>>
>> By disabling it, it runs this command:
>>
>>   echo on > /sys/bus/usb/devices/usb6/power/control
>>
>> And it resolves my suspend issues on 4.20.3-gnu.
>
> [...]
>
>> This bug can be closed.
>
> Sorry, I take that back.  I could have sworn it did resolve the issue,
> but that does not seem to be the case.
>
> This seems unrelated to powertop; `auto' seems to be the default setting
> of /sys/bus/usb/devices/*/power/control, which is reset on reboot.  In
> any case, setting it to `on' does not solve my suspend issue.
>
> It's not a hardware issue, because earlier kernel versions work just
> fine.
>
> I tried debugging this further, but even on a minimal Guix system, I
> cannot seem to work around the problem.
>
> Any advice, anyone?

Recently I had to switch back to my x200 and found that it wouldn't
suspend anymore, and I wasn't sure why.  Then I somehow screwed up my
system and had to do a reinstall of guix and suspend worked again.  I
wasn't sure why... now I seem to have the answer.  When I reinstalled, I
must not have done so from the latest guix versions.

cwebber@jasmine:~$ uname -a
Linux jasmine 4.17.3-gnu #1 SMP 1 x86_64 GNU/Linux

So I guess if I did a system upgrade, I would have the problem again :)

Note that I am running this x200 with a (somewhat out of date) Libreboot
install.




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at 34176 <at> debbugs.gnu.org:


Received: (at 34176) by debbugs.gnu.org; 28 Jan 2019 07:12:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 28 02:12:22 2019
Received: from localhost ([127.0.0.1]:48175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1go15h-00011p-P3
	for submit <at> debbugs.gnu.org; Mon, 28 Jan 2019 02:12:22 -0500
Received: from mail-pl1-f177.google.com ([209.85.214.177]:43692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cmmarusich@HIDDEN>) id 1go15g-00011c-E0
 for 34176 <at> debbugs.gnu.org; Mon, 28 Jan 2019 02:12:20 -0500
Received: by mail-pl1-f177.google.com with SMTP id gn14so7338614plb.10
 for <34176 <at> debbugs.gnu.org>; Sun, 27 Jan 2019 23:12:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=JSQT47xsgUz0OJtnxIbGYT1+ZKVnR8KBY4k6dVpePcE=;
 b=icGpLtvTdeBS2QGYmfi3GpOCgcqN3tuKApvNesQtarVkeLQdwAkshpzzYifbmH2uoR
 5OIEVGE5J7nyhYekoDneS5WZ7txG1oI/6XA3+oWx8GaWIflXyq2mEQs5wfWH3vIWw6Gm
 pAxt0bSNgRlhbX6q57IoM8T8xWKsqdb2jIThHhWkY0z4Lcl0P3AeOn3DZQmAMPnZrESw
 3BTCl+fw8v/RMu47HpUQsIa8KMtlV4f0c63GMyAIv0ed+pkisM2rwfAMTrJH3rfgnRGg
 CpjYkC+WYBzi3BlyjR5fQEHOa58WH9U4BSyEjIcxt1JU2fEfZKFhDfKQVzyHJezvDcaC
 j8ow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=JSQT47xsgUz0OJtnxIbGYT1+ZKVnR8KBY4k6dVpePcE=;
 b=g49+HXhQQOt6ZC3DBCBf+Sj1Kbm1d7UMKFNVJx6ZSAL2Bhm8011UWK+YGW/eJ0dDY5
 Wv1NgOHoVTwYEBqqxWGq5CXXeR5gWL8vZrRNxPtT4pIfI//32JfNy3YTFQHjPWVHIwys
 ETf6Ib9Y7+1T3Y7dELfHneHLEr3MuZROjEur1TfHG0al8/6jpGFy3brEoNpUQ5T3vnKp
 0pDKo2fOpQjrsoSovqW/r1XNnSMqIO0MrH6iA5h8kCLXpf6e6LXRZ6wxVNpNz+3oP+Qu
 tWb4onR0fboTAXtt4extcltJu+vOMFjDhY6unpkts797g2KB84nNCcSs5yVoscygHsCy
 eetQ==
X-Gm-Message-State: AJcUukd/hAchLc8uldPoWrCxA25lKfil5OaaviznL64haloYH1PsLp+R
 XqOzTmOICTHcJdFG3Cmy6iz/oTsA
X-Google-Smtp-Source: ALg8bN43rTkBVR/eGcTOL88gmxdi+kRX/OI88MNyXULqE5MBqlCuv3JFIHZ5CMhRbQDxu6rYYOj60A==
X-Received: by 2002:a17:902:4:: with SMTP id 4mr20854958pla.20.1548659533934; 
 Sun, 27 Jan 2019 23:12:13 -0800 (PST)
Received: from garuda.local (c-73-53-106-26.hsd1.wa.comcast.net.
 [73.53.106.26])
 by smtp.gmail.com with ESMTPSA id i184sm41606819pfc.41.2019.01.27.23.12.12
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 27 Jan 2019 23:12:13 -0800 (PST)
From: Chris Marusich <cmmarusich@HIDDEN>
To: Mike Gerwitz <mtg@HIDDEN>
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
References: <877eevq5i6.fsf@HIDDEN> <87y37boqhk.fsf@HIDDEN>
 <87y376ktcc.fsf@HIDDEN>
Date: Sun, 27 Jan 2019 23:12:11 -0800
In-Reply-To: <87y376ktcc.fsf@HIDDEN> (Mike Gerwitz's message of "Sun, 27 Jan
 2019 10:34:11 -0500")
Message-ID: <87lg358ddg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34176
Cc: 34176 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mike Gerwitz <mtg@HIDDEN> writes:

> Any advice, anyone?

I don't have any advice yet, but I can say that in the last few weeks
(months?), after updating my Lenovo x200 system, I've noticed similar
problems.  I can put the laptop to sleep by shutting the lid, for
example, but when I open it back up, it's frozen and I have to reboot.

I've been so busy I haven't investigated, but you're probably not alone.

=2D-=20
Chris

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEy/WXVcvn5+/vGD+x3UCaFdgiRp0FAlxOq0sACgkQ3UCaFdgi
Rp0mvhAAmX+0CQCmHHMMXb3kL8yCkWtiLwAJIyyrYQmcj7GKM37wvDXZZExHawyV
fn9y49qKSYnGlfUXAkXphNaG2/iDJA3xhzjCEC8aERNeaPrR8ilSeX3S1zsHYeIl
2AbFxtRjio5O39UOHsNeiy1DD5/PLtxGjEHqojqXEKG40KTIScc4WTC86rXKUrp8
dA2ia2L0vE+fay76bvnCWh94Bj67/0kP7RfdVwYNRhvyKDH4g45CubHuA0cDj8Yt
R29N6FPBUXErblKRU+bISE0wAV5R5OWmS6/fdK/4Mo8Tk/CqNvDySGy8cDyh9kEM
WVMgArZ9p4QwP48Fd0EyanYQhVUNDoIS7gQ0okfHf/uqEye8q34qIfqpmRgZ4QVm
6zKrJ5GjLyli+vXiZoX3IJfjM5zr2TQ6/CYaybxwG4SY28BnIlQAs+Dv2IxM5dTl
BflrzOUzhqm8kiAdt6FoUDvK0pHw3K3151GlIJ4lnIL69XjaauGEb0GHB67IcEAK
8XwJIVHnde3HnL/yolPfAjR92kecBD7d7d8G/94VKB5fo0whciOg8sFFd+WsYs+e
oKSOdEDKNSK9UIbU6gJ1DCTLsiUndB2TC9d1K80Vi5yDvkSmW3Q0X+CszG2beKcO
sKZuhkE06FnbfwSLNwh7bq9VHYm4HpyfSvILS8j0PmXTnWjGw4k=
=tNXl
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at 34176 <at> debbugs.gnu.org:


Received: (at 34176) by debbugs.gnu.org; 27 Jan 2019 15:35:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 27 10:35:03 2019
Received: from localhost ([127.0.0.1]:47728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnmSd-0007pr-M0
	for submit <at> debbugs.gnu.org; Sun, 27 Jan 2019 10:35:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1gnmSb-0007pK-JK
 for 34176 <at> debbugs.gnu.org; Sun, 27 Jan 2019 10:35:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35263)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1gnmSW-0001Rl-7h
 for 34176 <at> debbugs.gnu.org; Sun, 27 Jan 2019 10:34:56 -0500
Received: from localhost ([::1]:39323 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>) id 1gnmSU-0003qG-Nd
 for 34176 <at> debbugs.gnu.org; Sun, 27 Jan 2019 10:34:56 -0500
From: Mike Gerwitz <mtg@HIDDEN>
To: 34176 <at> debbugs.gnu.org
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
In-Reply-To: <87y37boqhk.fsf@HIDDEN> (Mike Gerwitz's message of "Wed, 23 Jan
 2019 01:08:39 -0500")
Date: Sun, 27 Jan 2019 10:34:11 -0500
Message-ID: <87y376ktcc.fsf@HIDDEN>
References: <877eevq5i6.fsf@HIDDEN> <87y37boqhk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
OpenPGP: id=22175B02E626BC98D7C0C2E5F22BB8158EE30EAB
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34176
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, Jan 23, 2019 at 01:08:39 -0500, Mike Gerwitz wrote:
> Right after sending this message, I recalled that I used powertop to do
> "auto tuning".  Sure enough, one of the lines was this:
>
>    Good          Autosuspend for USB device UHCI Host Controller [usb6]
>
> By disabling it, it runs this command:
>
>   echo on > /sys/bus/usb/devices/usb6/power/control
>
> And it resolves my suspend issues on 4.20.3-gnu.

[...]

> This bug can be closed.

Sorry, I take that back.  I could have sworn it did resolve the issue,
but that does not seem to be the case.

This seems unrelated to powertop; `auto' seems to be the default setting
of /sys/bus/usb/devices/*/power/control, which is reset on reboot.  In
any case, setting it to `on' does not solve my suspend issue.

It's not a hardware issue, because earlier kernel versions work just
fine.

I tried debugging this further, but even on a minimal Guix system, I
cannot seem to work around the problem.

Any advice, anyone?

=2D-=20
Mike Gerwitz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJcTc9zAAoJEIyRe39dxRuiJY4QALUtBdRttub0PddiardV6aCN
KfJdWkYKJqJ7yLc2hw6k3wp0eltV1ujuadrMNWm8LxMfXGK6Rvm3Bu2GMV/qa5Dw
vNUh/4nxcCJB0a+YjQdHoD1IWLLrdhrM2jaOFXBMCmjCxySD9+ipDkuSf+0S7GGG
cZmZmWmFX4AjLuZxJC5h+rj5KOcPctBWDigVEEBSDx+yCb5x/9Zda4uxc4rNxAZN
aGTrxh15+K7SoX1ScD//I8Cev7xpV8R1GC0zyVkFfbYGGmi5jdHVBcpgMGky1tyg
coxDDjE6yo0Tgwdyst4LtLz4d671EGEPFwfWmsmuRcLzVfD7Gv/kQwqMHUSl5kEI
9fexKjxnv1ag0UnzEreFAMp0ryuzdf5IPaK0Jpo9ll4ZXXLf6mAHUepUOlI4PR4f
gd5WTCD09DgNQK52AAj1B4tgUrXBGqD393rE3epS4Cix1x+aDQ+IzDoUgvX9vRuf
5zvyc+4urrhsEEI0+bXXb0KEznVsdWDVX/F668Pq3yYHjl1gBD2UxHmzi7MIYqYv
3PVfgmczI2H+GXbK+/ugFmWEYJVddDcsizo3TKoaUzQRFLV3aPiVoEhWbXfoyKWn
lI+Ot28dZG+43nHvX1akKmcBgVRuWJIsCvQeohuI5+j/ZaN3fdDvimilBF8vti6g
VnRdckh/xJMGl5KtTzEc
=xmBc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at 34176-done <at> debbugs.gnu.org:


Received: (at 34176-done) by debbugs.gnu.org; 23 Jan 2019 09:56:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 04:56:52 2019
Received: from localhost ([127.0.0.1]:42049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmFHA-0007Z9-DP
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 04:56:52 -0500
Received: from mail-it1-f181.google.com ([209.85.166.181]:56040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1gmFH8-0007Yv-09
 for 34176-done <at> debbugs.gnu.org; Wed, 23 Jan 2019 04:56:50 -0500
Received: by mail-it1-f181.google.com with SMTP id m62so2341411ith.5
 for <34176-done <at> debbugs.gnu.org>; Wed, 23 Jan 2019 01:56:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=lrlgvvMFYU6M8uivLiIkNF6WBZi1Y0lZpVSbIiQQRP8=;
 b=uHfWj6RlEBNtr6w3CoX88XUlBt+0F91uxOEDkw7IbW0VEDvZc7j0C8C1ifOU9mNhVX
 eBU7oN2uAhDxIwYA4UUndJ+Q0+KNo+PqJWfKDRGstRZaEr+uYdTGzE+co58lL6s0mxUy
 tL2tpwDlH1VRHgcamkEEBLix1gLFPd2F08nTSUy3YjqSdDUzg872+FsmryxiYLT1GoVN
 tE26Feyh2oAN8smBRhs+ItOpNRJI+/tBEfJHqY/at6EQZv6R4jUIJRi9kJNMuYLMqYrn
 1E2p3KFJGc6j3PrbQvAw8oMBV31aBgZyMLID6HYBYWUnHhEg+gJdLsvGkhYQuQbZs6Aa
 oOrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=lrlgvvMFYU6M8uivLiIkNF6WBZi1Y0lZpVSbIiQQRP8=;
 b=rmkqIJP0CY2axqcCrBvbfom5/4jUWecyj7JOO+0kDvkruxvvrf0H5pK6pcd05W3j0X
 vm85Q6rTMBK4CuRlNeiXivuGFZ+kweJj7CGWHO5uvoU0WKSg19YzVvxTCmIAUjJ/pnSB
 pBpLg+NdJ5peZpgJqb2V+LfphR93V7AFY7m9wEusdy8+BW3F7iWxptAGdg2up+qv1kWH
 1xpsJm1UZk6KJzj3bd4GzwdDeX7lEd7nTGZ3wzIGimgrhAGZQuGHUL+txfy5x6RoSGfh
 oBFI4i5+POF2qCz8hVeBmOn+OUEpaxfEXHScMe7n8XjMuvgD/o4HjVWA4AmiFlO/EEJW
 40gw==
X-Gm-Message-State: AJcUukcL0wcleV/8nz4C20X6EtArhhg92Y7724BP5imBXgFr54D+MnQ0
 hTIGFc6jAFNG08EVHbCLfOhUJ6YeBdqqrQ1SEg==
X-Google-Smtp-Source: ALg8bN6j2fNXMTdc06G8VmTWykJF/mT0W6rcEIDDn5pG1U+9u/oJNnaC1Qa9tMwDbnuQjAsvakuFmJQkorwAdZBXKdo=
X-Received: by 2002:a02:b529:: with SMTP id l38mr801066jaj.25.1548237404113;
 Wed, 23 Jan 2019 01:56:44 -0800 (PST)
MIME-Version: 1.0
References: <877eevq5i6.fsf@HIDDEN> <87y37boqhk.fsf@HIDDEN>
In-Reply-To: <87y37boqhk.fsf@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Wed, 23 Jan 2019 10:56:31 +0100
Message-ID: <CAE4v=pi4dBxhYXm4iH4kaf_69kTXok9DOoN_y0aVtjBps8WrZw@HIDDEN>
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
To: Mike Gerwitz <mtg@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34176-done
Cc: 34176-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Mike,

Mike Gerwitz <mtg@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2019. jan. 23., Sze=
, 7:10):
>
> Well, I'm not getting those hours of my life back.
>

Sorry to hear that.

> On Wed, Jan 23, 2019 at 00:58:57 -0500, Mike Gerwitz wrote:
> > usb usb3: root hub lost power or was reset
>
> [...]
>
> > uhci_hcd 0000:00:1d.0: host controller process error, something bad hap=
pened!
> > uhci_hcd 0000:00:1d.0: host controller halted, very bad!
> > uhci_hcd 0000:00:1d.0: HC died; cleaning up
>
> [...]
>
> > (Which is indeed true for my hub 0000:00:1d.0, which is usb6, according
> > to dmesg.)
>
> Right after sending this message, I recalled that I used powertop to do
> "auto tuning".  Sure enough, one of the lines was this:
>
>    Good          Autosuspend for USB device UHCI Host Controller [usb6]
>
> By disabling it, it runs this command:
>
>   echo on > /sys/bus/usb/devices/usb6/power/control
>
> And it resolves my suspend issues on 4.20.3-gnu.
>

I am glad you finally found out.

> What sucks even more is that I had disabled those settings on the USB
> controllers over a year ago (because it was putting my USB keyboard to
> sleep, dropping the first keypress); don't know how it got re-enabled,
> but the user is probably to blame.
>
> Sorry for the noise, everyone.  I hope that my suffering provides some
> value to others.

No problem.

> This bug can be closed.
>

You can close bugs by sending a mail to
bugnumber-done.debbugs.gnu.org, like I did here.

> --
> Mike Gerwitz
> Free Software Hacker+Activist | GNU Maintainer & Volunteer
> GPG: D6E9 B930 028A 6C38 F43B  2388 FEF6 3574 5E6F 6D05
> https://mikegerwitz.com

Best regards,
g_bor




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at 34176-done <at> debbugs.gnu.org:


Received: (at 34176-done) by debbugs.gnu.org; 23 Jan 2019 09:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 04:55:41 2019
Received: from localhost ([127.0.0.1]:42042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmFG0-0007Wz-W4
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 04:55:41 -0500
Received: from flashner.co.il ([178.62.234.194]:37760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1gmFFz-0007Wn-Jc
 for 34176-done <at> debbugs.gnu.org; Wed, 23 Jan 2019 04:55:40 -0500
Received: from localhost (unknown [188.120.128.87])
 by flashner.co.il (Postfix) with ESMTPSA id D2BC94009E;
 Wed, 23 Jan 2019 09:55:33 +0000 (UTC)
Date: Wed, 23 Jan 2019 11:55:31 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Mike Gerwitz <mtg@HIDDEN>
Subject: Re: bug#34176: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
Message-ID: <20190123095531.GC6135@macbook41>
References: <877eevq5i6.fsf@HIDDEN>
 <87y37boqhk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="XWOWbaMNXpFDWE00"
Content-Disposition: inline
In-Reply-To: <87y37boqhk.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34176-done
Cc: 34176-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--XWOWbaMNXpFDWE00
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Jan 23, 2019 at 01:08:39AM -0500, Mike Gerwitz wrote:
> Well, I'm not getting those hours of my life back.
>=20
> On Wed, Jan 23, 2019 at 00:58:57 -0500, Mike Gerwitz wrote:
> > usb usb3: root hub lost power or was reset
>=20
> [...]
>=20
> > uhci_hcd 0000:00:1d.0: host controller process error, something bad hap=
pened!
> > uhci_hcd 0000:00:1d.0: host controller halted, very bad!
> > uhci_hcd 0000:00:1d.0: HC died; cleaning up
>=20
> [...]
>=20
> > (Which is indeed true for my hub 0000:00:1d.0, which is usb6, according
> > to dmesg.)
>=20
> Right after sending this message, I recalled that I used powertop to do
> "auto tuning".  Sure enough, one of the lines was this:
>=20
>    Good          Autosuspend for USB device UHCI Host Controller [usb6]
>=20
> By disabling it, it runs this command:
>=20
>   echo on > /sys/bus/usb/devices/usb6/power/control
>=20
> And it resolves my suspend issues on 4.20.3-gnu.
>=20
> What sucks even more is that I had disabled those settings on the USB
> controllers over a year ago (because it was putting my USB keyboard to
> sleep, dropping the first keypress); don't know how it got re-enabled,
> but the user is probably to blame.
>=20
> Sorry for the noise, everyone.  I hope that my suffering provides some
> value to others.
>=20
> This bug can be closed.

I'm glad you figured it out. Powertop is a fun beast, often with
unintended consequences.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--XWOWbaMNXpFDWE00
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlxIOg0ACgkQQarn3Mo9
g1Frcw/9HFFYg+eo4eDBOPKIvP+1qAQtfsaAjwdk9YuJTaK21K8pLU2YBk9mUgHI
GcYX+ofzw2wttjsnW1LL+/dHKXdoDLenwcQBz3VaWlPP0FINGwnFgu6kxKxQU3LA
uvsKSIH45sXG3FrvpM9vJ8DiH30DieUIklzEpxxq9luzQHo3cEuwm0ZmQATqPMZe
wClysasjR13+ZZscdOVpRuBzZehzPymBFJHp1SYU73v5jPbGz/7ATfgGcHo6cw8P
8uLRuDVAnYYiq5fFReNElaSTKUvKxd9H0sjNbXbAcNiXiYip85jFToIeIkHAlKt2
gdWVF6gQTzPHUDFavZ2r15l2jRfhN5wyXOOYMQ2EIfEwgVK+pztVfpW+w4AMdCcx
r2qnIMtfA90NHqv/S3R7zSJina3F/aHEmw0N4Sp/HrFsQUK1J1APbUfxpH1hX6rI
T2PC/13PSxMB2sL8q0gp+jg+OsxJhAdkZtuvgXIcqPtPmd671BFEoNKQhsE9g/1F
vNMimou9WLFI5F9prbl/UnC9Fxizki7KlO19MZCdPNFAZPRxbALWdND940f48QMZ
+gaWoTlv1DccZ30iEHki6JgLH+0zW1B3gFj1bfsfjuWQmsqXptRqisSSMYZ3Olnp
0Idw+vis8Ud9Rb7HNR6RAE41ZAK3EPY0Xk9ZM+Ex9SNsu1/QjO4=
=h32F
-----END PGP SIGNATURE-----

--XWOWbaMNXpFDWE00--




Notification sent to Mike Gerwitz <mtg@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Efraim Flashner <efraim@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2019 06:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 01:09:08 2019
Received: from localhost ([127.0.0.1]:41907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmBim-0001uD-0q
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 01:09:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1gmBik-0001tW-7p
 for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 01:09:06 -0500
Received: from lists.gnu.org ([209.51.188.17]:50209)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mtg@HIDDEN>) id 1gmBif-00044B-5a
 for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 01:09:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51424)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1gmBie-0003MT-6Y
 for bug-guix@HIDDEN; Wed, 23 Jan 2019 01:09:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED,BAYES_40
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44354)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1gmBid-0003oz-3F
 for bug-guix@HIDDEN; Wed, 23 Jan 2019 01:08:59 -0500
Received: from localhost ([::1]:48414 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>) id 1gmBic-0002kT-T9
 for bug-guix@HIDDEN; Wed, 23 Jan 2019 01:08:59 -0500
From: Mike Gerwitz <mtg@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
In-Reply-To: <877eevq5i6.fsf@HIDDEN> (Mike Gerwitz's message of "Wed, 23 Jan
 2019 00:58:57 -0500")
Date: Wed, 23 Jan 2019 01:08:39 -0500
Message-ID: <87y37boqhk.fsf@HIDDEN>
References: <877eevq5i6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
OpenPGP: id=22175B02E626BC98D7C0C2E5F22BB8158EE30EAB
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Well, I'm not getting those hours of my life back.

On Wed, Jan 23, 2019 at 00:58:57 -0500, Mike Gerwitz wrote:
> usb usb3: root hub lost power or was reset

[...]

> uhci_hcd 0000:00:1d.0: host controller process error, something bad happe=
ned!
> uhci_hcd 0000:00:1d.0: host controller halted, very bad!
> uhci_hcd 0000:00:1d.0: HC died; cleaning up

[...]

> (Which is indeed true for my hub 0000:00:1d.0, which is usb6, according
> to dmesg.)

Right after sending this message, I recalled that I used powertop to do
"auto tuning".  Sure enough, one of the lines was this:

   Good          Autosuspend for USB device UHCI Host Controller [usb6]

By disabling it, it runs this command:

  echo on > /sys/bus/usb/devices/usb6/power/control

And it resolves my suspend issues on 4.20.3-gnu.

What sucks even more is that I had disabled those settings on the USB
controllers over a year ago (because it was putting my USB keyboard to
sleep, dropping the first keypress); don't know how it got re-enabled,
but the user is probably to blame.

Sorry for the noise, everyone.  I hope that my suffering provides some
value to others.

This bug can be closed.

=2D-=20
Mike Gerwitz
Free Software Hacker+Activist | GNU Maintainer & Volunteer
GPG: D6E9 B930 028A 6C38 F43B  2388 FEF6 3574 5E6F 6D05
https://mikegerwitz.com

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJcSATnAAoJEIyRe39dxRui+PYP/jiOKsgGERgvBSIbL8GJRTZe
z+t64R9npwgByX5bVtqGEfqB1RcY8B/3L+l5rKrdV2BeQ2bAuDBXHJN3sZupoYMF
1kd2JiKhrk6jNNqfwGuk24tpu++soiKAjSewhmRTCp6+KsTMQGWCCiYNGFN2BjaH
NSv5vTj05QVqp7v4ObmAGyQtTcICb7J+Ah28EVbmg/0M94I/X5jXXKUcgZmZ6XSQ
2xgiOrqMrC0f/lZUUjlrmNzhIl+KVXsiEwdY7gHlRFkf2DBDokr74eVqZU22F9NY
bfPtvsE+ngWXfwDsTheQt295NG25DxXBdYtgmpUEDCgSNTGQjT3waI6UkKlIJNXS
dwbzkQYf+bDPf0KYkTSK+9SvESqF9clpLGwXr1Ku0wyswF4Ft897CgnWUMIjfKpE
KOibHYIZ/UpmPWy0QH9AV/6wLsAVgoMHho3DHz+gA7Q14y0iCKiMppqwvDTxp3PA
H47yXHFGvUiW+1UFy14mST30WZc5fmzZhvecXqcl7wAdH4s3wkILH9WF4hCI8mIt
5Z5Bv0IAe6Hpss10DlS7RQpUWPnwxmemIZ0K2evKHvzu7+CGpHHCc1Tn3dWZOxeT
NKvMXoMOT6DCK3Wnz41Y2AGCq7221avyMDiFAkyBNZi5rb4TxUCMPfW0fLA0n8D+
2TR1HDOmp0Of0atZIYAY
=FOJg
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jan 2019 06:07:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 23 01:07:22 2019
Received: from localhost ([127.0.0.1]:41902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmBh4-0001qe-GV
	for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 01:07:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1gmBh2-0001qR-SZ
 for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 01:07:21 -0500
Received: from lists.gnu.org ([209.51.188.17]:46195)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mtg@HIDDEN>) id 1gmBgx-0006Fp-Lw
 for submit <at> debbugs.gnu.org; Wed, 23 Jan 2019 01:07:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51086)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1gmBgw-0002IP-Fv
 for bug-guix@HIDDEN; Wed, 23 Jan 2019 01:07:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44259)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1gmBZQ-0001bA-2T
 for bug-guix@HIDDEN; Wed, 23 Jan 2019 00:59:28 -0500
Received: from localhost ([::1]:48319 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>) id 1gmBZM-0004Ir-8T
 for bug-guix@HIDDEN; Wed, 23 Jan 2019 00:59:28 -0500
From: Mike Gerwitz <mtg@HIDDEN>
To: bug-guix@HIDDEN
Subject: X200 kernel panic on S3 resume (linux-libre > 4.18.9)
Date: Wed, 23 Jan 2019 00:58:57 -0500
Message-ID: <877eevq5i6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
OpenPGP: id=22175B02E626BC98D7C0C2E5F22BB8158EE30EAB
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello, Guix:

I've been sitting on this one for a little while since I didn't have
time to try debugging it.

Sometime after 2018-09-25 (linux-libre 4.18.9), my X200 locks up after
resuming from S3 (suspend to memory).  The system is unresponsive, but
Alt+Sysreq+B is recognized and reboots the system.

Unfortunately, I don't know when this happened---my next upgrade on this
box was 2018-12-01, kernel version 4.19.5.

I produced a minimal system configuration where I stripped out all but
base services (attached below) and the problem still occurs.  After
wasting a bunch of time on that, I finally added the
`no_console_suspend' boot param and, sure enough, I get a kernel
panic.  It does not write the log to disk, so I'm reproducing it here in
part manually:

=2D-8<---------------cut here---------------start------------->8---
ACPI: Waking up from system sleep state S3
ACPI: EC: Interrupt unblocked
ACPI: EC: event unblocked
usb usb3: root hub lost power or was reset
general protection fault: 0000 [#1] SMP PTI
CPU: 1 PID: 441 Comm: kworker/u4:23 Tainted: 6     4.28-3gnu #1
Hardware name: LENOVO 7459VLP/7459VLP, BIOS CBET4000 3774c98 09/07/2016
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:uhci_scan_schedule.part.38+0xa3/0xad0
Code: [...machine code...]
[...register values...]
Call trace:  [I'm omitting address offsets]
 ? __dev_printk
 uhci_hub_status_data
 usb_hcd_poll_rh_status
 uhci_pci_resume
 resume_common
 hcd_pci_resume
 pci_pm_resume
[...ata stuff, successful...]
uhci_hcd 0000:00:1d.0: host controller process error, something bad happene=
d!
uhci_hcd 0000:00:1d.0: host controller halted, very bad!
uhci_hcd 0000:00:1d.0: HC died; cleaning up
=2D-8<---------------cut here---------------end--------------->8---

I found this:

  https://01.org/linuxgraphics/gfx-docs/drm/driver-api/usb/persist.html

But it states for `persist':

   For hubs the feature is automatically and permanently enabled and the
   power/persist file doesn=E2=80=99t even exist, so you only have to worry
   about setting it for devices where it really matters.

(Which is indeed true for my hub 0000:00:1d.0, which is usb6, according
to dmesg.)

If someone with more experience with these types of issues offer me some
advice on my next steps (including the best place to report upstream
either for linux-libre or linux, if that's more appropriate), I'd
appreciate it.

=2D-=20
Mike Gerwitz
Free Software Hacker+Activist | GNU Maintainer & Volunteer
GPG: D6E9 B930 028A 6C38 F43B  2388 FEF6 3574 5E6F 6D05
https://mikegerwitz.com

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJcSAKhAAoJEIyRe39dxRuiIkQQAJG39bkIuLAM8d5C4ztAQhrJ
BQF4nfd7T0QQyAjBG5N9gsTFc9iBOcvHF05bATiayUJHQSG1MtfTkUPZhtgLZ8D3
WRK+WRrDUpc8IgycKiCJ46GdZKuX6p3bb47vgHwF8j45WEYguAmuLCJbaembIp6D
KNbBucMLN19Jk3J+I9O5ucLzuOiUNMtGmGnNO8sfTAAtQ1kSZrtwqY0AwcspUZLv
BmLlHQrj+4DGqP+R9HowRgDSbGqNcJPNq5hp0IQ5Jfz8Iqm0GkPdDojxMh3v0xAC
pPWatCUFxLHCMuz+RolI74zWqJAmoFGeAQDAGt0kRes2mBTnLf1MBHpNcWjXwjSi
zLNIpTuXDbvwmKBzffVG6GF81UuR3ajPo+mIlYzNsydm31j+oH6eB2Z5NNQ5lJsd
3fU9Oca4DGu153K2bP41qioYFT/e+8aFTY14GGB5aPtrlDwQFIkkgasZhA2H1Tf2
AcdccAJ0G7CyZzUAmr1t+y5MZDwNVLcgi2XFvxWcrNBAJJJca1vQIvPhFTh44/Br
TrMZGbYclXiiY7yfGbJKs4T0s4dyBhn4AiuGu5hQjMk1gCnQveySU+/1OJNdzcw4
hN3Y+SyGBAcH6AJx42F7kbh7/ID1yZIOqFncYyxPNK8FwIK6iMVy6jv5z58l21Of
2RdF/zSpet9C5JkV91Km
=1p/D
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Mike Gerwitz <mtg@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34176; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 31 Jan 2019 07:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.